> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /volumes/create

> Create a new storage volume



## OpenAPI

````yaml post /volumes/create
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /volumes/create:
    post:
      summary: /volumes/create
      description: Create a new storage volume
      operationId: VolumesCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVolumeRequest'
      responses:
        '200':
          description: Returns a CreateVolumeResponse object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateVolumeResponse'
components:
  schemas:
    CreateVolumeRequest:
      type: object
      required:
        - cloud
        - region
        - size_in_gb
        - name
      properties:
        cloud:
          $ref: '#/components/schemas/Cloud'
        region:
          $ref: '#/components/schemas/Region'
        size_in_gb:
          $ref: '#/components/schemas/VolumeSizeInGB'
        name:
          $ref: '#/components/schemas/VolumeName'
    CreateVolumeResponse:
      type: object
      required:
        - id
      properties:
        id:
          $ref: '#/components/schemas/VolumeID'
    Cloud:
      type: string
      example: hyperstack
      description: >-
        Specifies the underlying cloud provider. See this
        [explanation](/getting-started/concepts#cloud-cloud-provider) for more
        details.
    Region:
      type: string
      example: canada-1
      description: Specifies the region.
    VolumeSizeInGB:
      type: integer
      example: 100
      description: Storage volume size in GB
    VolumeName:
      type: string
      example: My storage volume
      description: The name of the storage volume.
    VolumeID:
      type: string
      example: 78a0dd5a-dbb1-4568-b55c-5e7e0a8b0c40
      description: The ID of the storage volume.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````